Skip to content

Fetch API (v3.0: 3.27.0.2)

For differences between versions, see Changelog.

REST API logo


Download OpenAPI description
Overview
API Support Group
License
Languages
Servers
Production server
https://fetch.yellowdogsoftware.com/api/v3

Accounting Export Reports that can be consumed by 3rd Party accounting systems

Operations

Items and Recipes are able to have images associated to them.

Operations

A dynamic list of Items that are designed to aide with physical inventories. Countsheets are based on a static list of items, Levels, and Flags

Operations

Operations used to manage currency conversion for the database. These are used when multiple currencies are used in a database.

Operations

Attributes that are available for assigning to an Item. Attributes can be like a Size or Color.

Operations

Flags allow you to indicate storage locations, making ordering and physical inventories easier.

Operations

Item Inventory OnHand information.

Operations

Request

This endpoint is recommended for any frequent polling of item onhands. Although the GET Items endpoint includes a stores onhand value, the onhand value being changed does not trigger an update of the rowUpdated for that endpoint.

This endpoint uses pagination to limit the amount of items that are returned in a response. The use of these values is similar to how the query string pagination works in other endpoints, however these are a component of the response body.

Note: As they do not use a query string for pagination, the pagination headers used in other endpoints will not work for this. Recommended use case is to pull at a known pageSize and stop when the returned item array is less than the requested pageSize.

Example Request Body for Common Usage Scenarios

Get an Item's onhand in a particular Store

   {
    "pageNumber": 1,
    "pageSize": 100,
    "stores": [
			":storeId"
    ],
    "items": [
			":itemId"
    ]
}	

Get an Stores Onhands updated since a certain date

   {
    "pageNumber": 1,
    "pageSize": 100,
    "stores": [
			":storeId"
    ],
    "rowUpdated": "2024-05-24"

}	

Get all Current onhands for all Stores and Items based on the last pulled date

   {
    "pageNumber": 1,
    "pageSize": 100,
    "lastUpdated": "2024-03-05T06:06:58.529Z"
}	

or

   {
    "pageNumber": 1,
    "pageSize": 100,
    "lastUpdated": "2024-03-05T06:06:58.529-05:00"
}	

or

   {
    "pageNumber": 1,
    "pageSize": 100,
    "lastUpdated": "2020-05-29 00:00:00"
}	

Get the Current onhand for a particular Item across all Stores.

{
   "pageNumber": 1,
   "pageSize": 100,
   "items": [
     ":itemId"
   ]
}
Security
Auth API User Token
Body
storesArray of strings or null(uuid)
  • List of StoreIDs
itemsArray of strings or null(uuid)
  • List of ItemIDs
  • If provided the LastUpdated field will be ignored.
lastUpdatedstring or null(date-time)

When provided this will limit the response to only include items that have had an on hand adjustment since this passed in date.

This is ignored if any values are passed in the Items parameter

pageNumberinteger(int32)
  • PageNumber Starts at 1
pageSizeinteger(int32)
  • Default page size: 100
  • Max page size: 500
curl -i -X POST \
  https://fetch.yellowdogsoftware.com/api/v3/inventory \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "stores": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "items": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "lastUpdated": "2019-08-24T14:15:22Z",
    "pageNumber": 0,
    "pageSize": 0
  }'

Responses

OK

Bodyapplication/json
idstring(uuid)

Id of the Item

storesArray of objects or null(Api.Models.Dto.StoreInventory)

Listing of the Item's on-hand value per store.

Response
application/json
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "stores": [ { … } ] }
Operations

UPCs or additional SKUs to for an Item.

Operations

Product information that is tracked in Yellow Dog Inventory.

Operations

A Manual Adjustment will affect an Item's OnHand.

Operations

Database specific configuration information

Operations

Collections of production groups.

Operations

A Purchasing document

Operations
Operations

Collections of items and recipes, with quantities, that are used to create other items.

Operations

Collections of RecipeTypes.

Operations

A requisition for purchasing or transfering an item.

Operations

Associate a count to an Item, these sessions can be used for Purchasing Documents or Physical Inventories.

Operations

Business Entities or locations of a single business entity that need to maintain their own inventory records.

Operations

Additional configuration options that control item, store or level behavior with third-party integrations

Operations

Third Party Mappings with Yellow Dog Inventory

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

A record of movement of Items from one Store to another.

Operations

Vendors, Suppliers, Distributors, or Manufacturors that provide Items into the Inventory.

Operations